import { ElementRef } from '@angular/core';
import { ChartService } from '../chart/chart.service';
import { HttpParams } from '@angular/common/http';
export declare class CommonFunctionService {
    private chartService;
    canvas: ElementRef;
    downloadLink: ElementRef;
    originalData: any;
    defaultFilterObject: {
        partner: string;
        device: string;
        from: string;
        to: string;
    };
    iconList: {
        type: string;
        icon: string;
    }[];
    defaultAliasFlag: any;
    constructor(chartService: ChartService);
    download_csv(csv: any, filename: any): void;
    tableToCsv(filename: any, useDataAttribute?: string): void;
    changeNumberSystem(num: any): any;
    isAnyActionPresent(moduleName: any): boolean;
    isActionAllowed(actionName: any, moduleName: any, projectDetails?: string): boolean;
    checkAdminLevel(actionName: any, moduleName: any): boolean;
    checkWebUserLevel(actionName: any, moduleName: any): boolean;
    checkProjectLevel(projectKey: any, key: any, projectDetails?: string): boolean;
    checkOrgModules(actionName: any, moduleName: any): boolean;
    getFilteredUserActions(allowedActions: any): any;
    getFilteredOrgActions(allowedActions: any): any;
    getAllowedModuleCensus(moduleName: any, pageName?: string, actionName?: string, projectDetails?: string): string;
    getWebUserLevelCensus(moduleName: any, pageName?: string): string;
    getAllowedAction(moduleName: any, pageName?: string, actionName?: string, projectDetails?: string): any;
    changeOrgModules(result: any): void;
    getAdminModules(actionName: string, moduleName: any, pageName?: string): {};
    getOrgModules(actionName: string, moduleName: any, pageName?: string): {};
    oldToNew(modules: any): any[];
    getWebUserLevel(actionName: string, moduleName: any, pageName?: string): {};
    getProjectLevel(projectKey: any, key: any, projectDetails?: string): {};
    isUrlAllowed(moduleName: any): boolean;
    isOrgModuleAllowed(userData: any, moduleName: any): any;
    isModuleAllowed(codeToSearch: string): any;
    md5Encrypt(val: any): string;
    uniqueArrayByKey(array: any, key: any): any[];
    getDefaultAliasFlag(): any;
    getAliasesForDropdowns(): any;
    getWebUserDetails(project_id: any): boolean;
    downloadCanvasToImg(canvasId: any, filename: any, graphHeading: any, graphHeading2: any, indicator: any, createCanvas?: boolean, secondaryData?: any): void;
    makeBarGraph(indicator: any, chartId: any): void;
    makePieChart(indicator: any, chartId: any): void;
    makeVerticalBar(indicator: any, chartId: any): void;
    private onlyUnique;
    removeSessionItem(sessionArray?: any[]): void;
    setSessionItems(sessionArray?: any[]): void;
    private getData;
    getHttpClientParams(obj: {}): HttpParams;
    getDefaultFilter(): {
        partner: string;
        device: string;
        from: string;
        to: string;
    };
    getCensusLevelFilter(value: any): {
        partner: any;
        device: any;
        from: any;
        to: any;
    };
    sortDataSource(key: any, order: any): (a: any, b: any) => number;
    getErrorMessage(data: any, method: any): {
        message: any;
        status: any;
    };
    isInValidCustom(data: any): boolean;
    isEmptyCustomPattern(data: any): boolean;
    getMinMaxCustom(data: any): number[];
    getFileExtension(type: any): string;
    applyThemeColor(organization: any, themeStyleColor: any): void;
    snapShot(snapId: any, magicHideId: any, showSnapId: any, hideRadioGroupId: any, snapShotFileName: any, progressBar: any): void;
    downloadFileCsv(data: any, filename: string, tableKeys: any, tableHeading: any): void;
    ConvertToCSV(objArray: any, headerList: any, tablekey: any): string;
    setValidationByToggle(id: any, optId: any, index: boolean, activeQuestion: any, question: any): void;
    read(id: any, activeQuestion: any): any;
    alignHorizantalValidation(event: any, activeQuestion: any): void;
    isaAlignHorizantal(activeQuestion: any): any;
    copyText(data: any): void;
    /**
     * It takes an object, loops through its keys, and returns a string of key-value pairs separated by
     * ampersands.
     * @param {any} queryObject - This is the object that contains the query parameters.
     */
    createQueryParam(queryObject?: any): string;
}
